Bug 959056 - (CVE-2013-1985) CVE-2013-1985 libXinerama: Integer overflow leading to heap-based buffer overflow
CVE-2013-1985 libXinerama: Integer overflow leading to heap-based buffer over...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966812 1078030
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-03 01:20 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXinerama 1.1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-03 01:20:42 EDT
An integer overflow leading to heap-based buffer overflow was found in the XineramaQueryScreens() function of libXinerama, X.Org X11 libXinerama runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.
Comment 4 Jan Lieskovsky 2013-05-23 11:32:25 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 5 Huzaifa S. Sidhpurwala 2013-05-23 23:45:11 EDT
Created libXinerama tracking bugs for this issue

Affects: fedora-all [bug 966812]
Comment 6 Fedora Update System 2013-05-27 22:12:28 EDT
libXinerama-1.1.2-5.20130524git99c644fc8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-02 22:59:28 EDT
libXinerama-1.1.2-5.20130524git99c644fc8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Huzaifa S. Sidhpurwala 2013-06-04 23:32:17 EDT
This issue affects the version of libXinerama as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 9 Huzaifa S. Sidhpurwala 2013-06-04 23:46:18 EDT
Statement:

This issue affects the libXinerama package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 10 Jan Lieskovsky 2013-06-17 08:58:14 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 12 errata-xmlrpc 2014-10-14 01:05:08 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.